Subject: RE: WHAM programs for 1D PMF

From: "Jerome Baudry" <[email-masked]>
Date: Tue, 23 Jan 2001 09:58:22 -0500

Hi Nilesh

You can ask Benoit Roux ( [email-masked] ) or Serge
Crouzy([email-masked]) for their WHAM code. It's actually a 2D
WHAM, but it's very easy to turn it into 1D.

As for possible differences in the results, I would first check the default
values for all the WHAM parameters. In particular, the number of iterations
of the WHAM equations was found to significantly affect the convergence of
the results (see following paper by Crouzy et al.). Also, in the case of a
periodic degree of freedom, like e.g. a dihedral angle, the final results
would be changed if you correct the hysteresis (by, for instance,
replicating times series at the ends of the reaction coordinate, or by
imposing equality of the PMF values at both ends of the reaction coordinate
during the WHAM iterations)

You can have a look at a paper that addresses these issues:

Efficient calculation of 2-dimensional adiabatic and free energy maps:
Application to the isomerization of the C13=C14 and C15=N16 bonds in the
retinal of bacteriorhodopsin.
Serge Crouzy, Jerome Baudry, Jeremy C. Smith and Benoit Roux.
J. Comp. Chem. 20,15 (1999) 1644-1658.

Justing Gullingsrud ( [email-masked] ) and colleagues in the Schulten
group compared WHAM results with other procedures, in the particular case of
nonequilibrium SMD simulations. The authors of the paper could also have a
WHAM code available:

Justin Gullingsrud, Rosemary Braun, and Klaus Schulten.
Reconstructing potentials of mean force through time series analysis of
steered molecular dynamics simulations. Journal of Computational Physics,
151:190--211, 1999.
( see this paper at:
http://www.ks.uiuc.edu/Publications/Papers/abstract.cgi?tbcode=GULL99 )

Cheers for WHAM !!!!

Jerome

*****************************************
Jerome Baudry, Ph.D.
Research Scientist, Computational Chemistry
TransTech Pharma, Inc.
4170 Mendenhall Oaks Pwky, Suite 110
High Point, NC, 27265
http://www.ttpharma.com

[email-masked]
tel: (336) 841-0300  #120
fax: (336) 841-0310

> -----Original Message-----
> From: Computational Chemistry List
> [mailto:[email-masked]]On
> Behalf Of Nilesh Banavali
> Sent: Monday, January 22, 2001 7:27 PM
> To: [email-masked]
> Subject: CCL:WHAM programs for 1D PMF
>
>
>
>  Hi CCLers,
>
>  Are there any stand-alone Weighted Histogram Analysis Method (WHAM)
> programs available out there to calculate a one-dimensional
> potential of mean force (PMF) given sampled values of a given reaction
> coordinate obtained by a set of constrained MD simulations. The
> program that I currently have access to is the one written by
> Bockzo and
> Brooks. The purpose of this inquiry is for me to personally understand
> empirically if the PMF calculated by different programs are
> different for
> the same set of coordinate values and if so why. I guess they should
> theoretically be the same, however, any help provided is
> greatly appreciated. I will summarize the responses.
>
>  Thanks,
>
>  Nilesh.
> --------------------------------------------------------------
> -----------
> NILESH BANAVALI
> GRADUATE STUDENT
> UNIVERSITY OF MARYLAND, BALTIMORE
> --------------------------------------------------------------
> -----------
>
>
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  |
> [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher:
> gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   |
> Jan: [email-masked]
>
>
>
>